#!/bin/bash
# This Script downloads National Geographic Photo of the day, and sets it as desktop background (gnome, unity)
# Copyright (C) 2012 Saman Barghi - All Rights Reserved
# Permission to copy, modify, and distribute is granted under GPLv3
# Last Revised 22 May 2019
#######################

#Change directory to where the script resides.
BASEDIR="$HOME/var/inbox/ng_photos"
cd $BASEDIR
#######################

#getting the image URL
img="$(curl https://www.nationalgeographic.com/photography/photo-of-the-day/ -s | grep -oP '(?<="twitter:image:src" content=")\K[^"]*')"

#check to see if there is any wallpaper to download
if [ -n "$img" ]
then
    img_base=`echo $img | cut -d/ -f 5`
    img_md5=`echo -n $img_base | md5sum | cut -f1 -d" "`
	img_file="$img_md5.jpg"

        curl "$img" > $img_file
        #set the current image as wallpaper
	feh --bg-scale $BASEDIR/$img_md5.jpg
	#link slim background to new image
	rm /usr/share/slim/themes/default/background.jpg
	ln -s $BASEDIR/$img_md5.jpg /usr/share/slim/themes/default/background.jpg
else
	echo "No Wallpaper today"
fi
